'use strict';

exports.__esModule = true;

exports['default'] = function (_ref) {
  var dispatch = _ref.dispatch,
      getState = _ref.getState;
  return function (next) {
    return function (action) {
      var result = next(action);
      if (action.meta && typeof action.meta.then === 'function') {
        var invoked = action.meta.then(action.payload);
        if (typeof invoked === 'function') {
          invoked(dispatch, getState);
        } else {
          dispatch(invoked);
        }
      }
      return result;
    };
  };
};